Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.common.config
Class ChoiceFactory

    java.lang.Object
      org.crosswire.common.config.ChoiceFactory

    public final class ChoiceFactory

extends Object

Factory for the well known Choices.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private static Map` | `datamap` Storage of various registered objects
`private static Map` | `map` Store of the known ChoiceTypes

Constructor Summary
`private` | `ChoiceFactory()` Prevent Instansiation

Method Summary
`static Choice` | `getChoice(org.jdom.Element option, ResourceBundle configResources)` Get a ChoiceFactory by element.
`static Map` | `getDataMap()` Method getDataMap.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### datamap

    private static Map datamap

  Storage of various registered objects

### map

    private static Map map

  Store of the known ChoiceTypes

Constructor Detail

### ChoiceFactory

    private ChoiceFactory()

  Prevent Instansiation

Method Detail

### getChoice

    public static Choice getChoice(org.jdom.Element option,
                                   ResourceBundle configResources)
                            throws ClassNotFoundException,
                                   IllegalAccessException,
                                   InstantiationException,
                                   StartupException

  Get a ChoiceFactory by element.

  Parameters:
    `option` - The element to check
  Returns:
    One of the ChoiceTypes.
  Throws:
    `ClassNotFoundException`
    `IllegalAccessException`
    `InstantiationException`
    `StartupException`

### getDataMap

    public static Map getDataMap()

  Method getDataMap.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ? 2003-2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD